Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QFileIconProvider.IconType

    java.lang.Object
      java.lang.Enum<QFileIconProvider.IconType>
          com.trolltech.qt.gui.QFileIconProvider.IconType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFileIconProvider.IconType>

Enclosing class:
  QFileIconProvider

    public static enum QFileIconProvider.IconType

extends java.lang.Enum<QFileIconProvider.IconType>
implements QtEnumerator

Press link for info on QFileIconProvider.IconType

Enum Constant Summary
`Computer` Internal.
`Desktop` Internal.
`Drive` Internal.
`File` Internal.
`Folder` Internal.
`Network` Internal.
`Trashcan` Internal.

Method Summary
`static QFileIconProvider.IconType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFileIconProvider.IconType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFileIconProvider.IconType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Computer

    public static final QFileIconProvider.IconType Computer

  Internal.

### Desktop

    public static final QFileIconProvider.IconType Desktop

  Internal.

### Trashcan

    public static final QFileIconProvider.IconType Trashcan

  Internal.

### Network

    public static final QFileIconProvider.IconType Network

  Internal.

### Drive

    public static final QFileIconProvider.IconType Drive

  Internal.

### Folder

    public static final QFileIconProvider.IconType Folder

  Internal.

### File

    public static final QFileIconProvider.IconType File

  Internal.

Method Detail

### values

    public static final QFileIconProvider.IconType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFileIconProvider.IconType c : QFileIconProvider.IconType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFileIconProvider.IconType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFileIconProvider.IconType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD